org.apache.sling.validation.impl.model

## Class ValidationModelBuilder

- java.lang.Object
- - org.apache.sling.validation.impl.model.ValidationModelBuilder

    public class ValidationModelBuilder
    extends Object

Builder to instantiate a `ValidationModel`

### Constructor Summary

Constructors
Constructor and Description
`ValidationModelBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ValidationModelBuilder` `addApplicablePath(String applicablePath)`
`ValidationModelBuilder` `addApplicablePaths(String[] applicablePaths)`
`org.apache.sling.validation.model.ValidationModel` `build(String validatedResourceType, String source)`
`ValidationModelBuilder` `childResource(org.apache.sling.validation.model.ChildResource childResource)`
`ValidationModelBuilder` `childResources(List<org.apache.sling.validation.model.ChildResource> childResources)`
`ValidationModelBuilder` `resourceProperties(List<org.apache.sling.validation.model.ResourceProperty> resourceProperties)`
`ValidationModelBuilder` `resourceProperty(org.apache.sling.validation.model.ResourceProperty resourceProperty)`
`ValidationModelBuilder` `setApplicablePath(String applicablePath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationModelBuilder

    public ValidationModelBuilder()

### Method Detail

#### resourceProperty

    @Nonnull
    public ValidationModelBuilder resourceProperty(@Nonnull
                                                            org.apache.sling.validation.model.ResourceProperty resourceProperty)

#### resourceProperties

    @Nonnull
    public ValidationModelBuilder resourceProperties(@Nonnull
                                                              List<org.apache.sling.validation.model.ResourceProperty> resourceProperties)

#### childResource

    @Nonnull
    public ValidationModelBuilder childResource(@Nonnull
                                                         org.apache.sling.validation.model.ChildResource childResource)

#### childResources

    @Nonnull
    public ValidationModelBuilder childResources(@Nonnull
                                                          List<org.apache.sling.validation.model.ChildResource> childResources)

#### setApplicablePath

    @Nonnull
    public ValidationModelBuilder setApplicablePath(@Nonnull
                                                             String applicablePath)

#### addApplicablePath

    @Nonnull
    public ValidationModelBuilder addApplicablePath(@Nonnull
                                                             String applicablePath)

#### addApplicablePaths

    @Nonnull
    public ValidationModelBuilder addApplicablePaths(@Nonnull
                                                              String[] applicablePaths)

#### build

    @Nonnull
    public org.apache.sling.validation.model.ValidationModel build(@Nonnull
                                                                            String validatedResourceType,
                                                                            @Nonnull
                                                                            String source)